KCAPI_AEAD_AUTHSIZE(3)

NAME
kcapi_aead_authsize - return the maximum size of the tag

SYNOPSIS

uint32_t kcapi_aead_authsize(struct kcapi_handle * handle);

ARGUMENTS

handle
    [in] cipher handle

DESCRIPTION

The returned maximum is the largest size of the authenticaation tag that can be produced by the AEAD cipher. Smaller tag sizes may be chosen depending on the AEAD cipher type.

return > 0 specifying the block size; 0 on error

AUTHOR

Stephan Mueller <smueller@chronox.de>
    Author.

COPYRIGHT